Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.processtemplates
Class StartProcess

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.processtemplates.StartProcess

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<StartProcessResult>, net.customware.gwt.dispatch.shared.Action<StartProcessResult>

    public class StartProcess

extends java.lang.Object
implements OSAction<StartProcessResult>

Start an instance of the specified Process Template.

The module name, process name, version and start operation can be retrieved by calling `QueryProcessTemplates`.

©2011 TIBCO Software Inc.

Since:
  1.2.0
See Also:
  `StartProcessResult`

Constructor Summary
`StartProcess(java.lang.String moduleName, java.lang.String processToStart, java.lang.String version, java.lang.String starterOperation)` Constructs a new StartProcess Action

Method Summary
`java.lang.String` | `getModuleName()` Module name of the Process Template.
`java.lang.String` | `getProcessToStart()` Name of the Process Template.
`java.lang.String` | `getStarterOperation()` The Starter Operation - this can be retrieved by calling `QueryProcessTemplates`.
`java.lang.String` | `getVersion()` Version of the Process Template to start.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StartProcess

    public StartProcess(java.lang.String moduleName,
                        java.lang.String processToStart,
                        java.lang.String version,
                        java.lang.String starterOperation)

  Constructs a new StartProcess Action

  Parameters:
    `moduleName` - Module name of the Process Template.
    `processToStart` - Name of the Process Template.
    `version` - Version of the Process Template to start.
    `starterOperation` - The Starter Operation - this can be retrieved by calling `QueryProcessTemplates`.

Method Detail

### getModuleName

    public java.lang.String getModuleName()

  Module name of the Process Template.

  Returns:
    Returns the moduleName.

### getProcessToStart

    public java.lang.String getProcessToStart()

  Name of the Process Template.

  Returns:
    Returns the processToStart.

### getVersion

    public java.lang.String getVersion()

  Version of the Process Template to start.

  Returns:
    Returns the version.

### getStarterOperation

    public java.lang.String getStarterOperation()

  The Starter Operation - this can be retrieved by calling `QueryProcessTemplates`.

  Returns:
    Returns the starterOperation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.